|

Get investment holdings for a bank link

get/bank_links/{link_id}/investments/holdings
Preview
Locked
Fetch investment holdings for a given user's bank link.

Request

Path parameters

link_id·

string

Query parameters

account_ids·

optional array of strings

An optional list of account IDs to filter the results (comma separated)

Response

holdings·

array of objects

The list of holdings
account_id·

string

The account ID
cost_basis·

optional string

The holding cost basis
price·

optional string

The price of the security
price_datetime·

optional string

The price datetime
quantity·

string

The holding quantity
security_id·

string

The security ID
value·

optional string

The value of the holding
securities·

array of objects

The list of securities associated with the holdings
close_date·

optional string

The security's close price date
close_price·

optional string

The security's close price
currency·

string

The security currency (ISO-4217)
isin·

optional string

The security's ISIN (International Securities Identification Number, ISO 6166)
name·

string

The security name
security_id·

string

The security ID
sedol·

optional string

The security's sedol id (London Stock Exchange)
ticker·

optional string

The security ticker
type·

string

The security symbol
GET /bank_links/{link_id}/investments/holdings
1curl https://api.onefootprint.com/bank_links/{link_id}/investments/holdings \
2  -u sk_test_xxxxx:
Response example
{
  "holdings": [
    {
      "account_id": "acc_12345678",
      "cost_basis": 1507.5,
      "price": 160,
      "price_datetime": "2023-05-15T16:00:00Z",
      "quantity": 10,
      "security_id": "sec_aapl",
      "value": 1600
    },
    {
      "account_id": "acc_12345678",
      "cost_basis": 1507.5,
      "price": 160,
      "price_datetime": "2023-05-15T16:00:00Z",
      "quantity": 10,
      "security_id": "sec_aapl",
      "value": 1600
    }
  ],
  "securities": [
    {
      "close_date": "2023-05-15",
      "close_price": 150.75,
      "currency": "USD",
      "isin": "US0378331005",
      "name": "Apple Inc.",
      "security_id": "sec_aapl",
      "sedol": 2046251,
      "ticker": "AAPL",
      "type": "equity"
    },
    {
      "close_date": "2023-05-15",
      "close_price": 150.75,
      "currency": "USD",
      "isin": "US0378331005",
      "name": "Apple Inc.",
      "security_id": "sec_aapl",
      "sedol": 2046251,
      "ticker": "AAPL",
      "type": "equity"
    }
  ]
}